#include <qstringlist.h>
#include "ppitem.h"

PamPropertiesItem::PamPropertiesItem(QString fileName, 
				     QStringList properties, 
				     QListView *parent)
  : QListViewItem(parent)
{
  int i = properties.count();
  if (i > 0)
     category = properties[0];
  if (i > 1)
     level = properties[1];
  if (i > 2)
     lib = properties[2];

  setText(0, category);
  setText(1, level);
  setText(2, lib);
}
